Bug 23053 - lxterminal don't execute a passed list of commands
Summary: lxterminal don't execute a passed list of commands
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 6
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: MGA6-64-OK
Keywords: advisory, validated_update
Depends on:
Blocks:
 
Reported: 2018-05-18 22:10 CEST by Raoul
Modified: 2018-05-24 18:31 CEST (History)
3 users (show)

See Also:
Source RPM: lxterminal
CVE:
Status comment:


Attachments

Description Raoul 2018-05-18 22:10:45 CEST
In a lxconsole, as I'm under lxde, I type the following command:
   xterm -e "sleep 5 ; ls ; sleep 5" 
It opens a new terminal, wait 5 seconds, displays a listing, wait 5 seconds and close the terminal, exactly as I want.

But if I try
   lxterminal -e "sleep 5 ; ls ; sleep 5" 
_nothing_ is happening after the opening of the terminal.

Is
   lxterminal -e "ls -R"
also working ?
Comment 1 Marja Van Waes 2018-05-19 08:56:51 CEST
Assigning to the registered lxterminal maintainer.

CC: (none) => marja11
Assignee: bugsquad => nicolas.salguero
Source RPM: (none) => lxterminal

Comment 2 Nicolas Salguero 2018-05-22 10:23:35 CEST
Suggested advisory:
========================

The updated lxterminal package allows the execution of a list of commands passed as parameters.
========================

Updated package in core/updates_testing:
========================
lxterminal-0.3.1-3.git20180225.1.mga6

from SRPM:
lxterminal-0.3.1-3.git20180225.1.mga6.src.rpm

Hardware: i586 => All
Assignee: nicolas.salguero => qa-bugs
Status: NEW => ASSIGNED

Comment 3 Raoul 2018-05-22 22:18:04 CEST
Just tested lxterminal-0.3.1-3.git20180225.1.mga6 from core/updates_testing.

It works fine, executing the commands passed as parameters.

_Many thanks_ for both the update and this great reactivity !!!
Comment 4 Len Lawrence 2018-05-23 19:19:19 CEST
Mageia 6, x86_64

Before:
The xterm command worked fine.

$ lxterminal -e "sleep 5 ; ls ; sleep 5"
Hung forever.  So did:
lxterminal -e "ls -R"

Afterwards:

$ lxterminal -e "sleep 5 ; ls ; sleep 5"
Waits five seconds after displaying the terminal window, prints a full list of the current directory for five seconds then disappears.
$ lxterminal -e "ls -R"
Displays a recursive listing of the current directory and vanishes.

$ lxterminal -e "cd Videos; vlc Merveillesnordiques.mp4"
This also worked fine, playing the video until interrupted.

This is fixed for sure.

CC: (none) => tarazed25
Whiteboard: (none) => MGA6-64-OK

Comment 5 Lewis Smith 2018-05-24 16:27:39 CEST
Thanks Len, good tests.

CC: (none) => sysadmin-bugs
Keywords: (none) => advisory, validated_update

Comment 6 Mageia Robot 2018-05-24 18:31:40 CEST
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGAA-2018-0098.html

Status: ASSIGNED => RESOLVED
Resolution: (none) => FIXED


Note You need to log in before you can comment on or make changes to this bug.